<?php
/*
 * CASS_Default - Default functions of the plugin
 *
 * This class is used to execute the default functions of the plugin
 */
class CASS_Default{
    public static function execute(){
        //Execute wheh plugin is activated
        register_activation_hook(__FILE__, function(){
            require_once plugin_dir_path(__FILE__).'src/default/activation.php';
            CASS_Activation::activate();
        });

         //Execute wheh plugin is deactivated
        register_deactivation_hook(__FILE__, function(){
            require_once plugin_dir_path(__FILE__).'src/default/deactivation.php';
            CASS_Deactivation::deactivate();
        });
    }
}
